summaryrefslogtreecommitdiffstats
path: root/multimedia/farsight2
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/farsight2')
-rw-r--r--multimedia/farsight2/README10
-rw-r--r--multimedia/farsight2/farsight2.SlackBuild108
-rw-r--r--multimedia/farsight2/farsight2.info11
-rw-r--r--multimedia/farsight2/slack-desc20
4 files changed, 149 insertions, 0 deletions
diff --git a/multimedia/farsight2/README b/multimedia/farsight2/README
new file mode 100644
index 0000000000..b9a9aad719
--- /dev/null
+++ b/multimedia/farsight2/README
@@ -0,0 +1,10 @@
+Farsight - Audio/Video Communications Framework
+
+The Farsight project is an effort to create a framework to deal
+with all known audio/video conferencing protocols. On one side
+it offers a generic API that makes it possible to write plugins
+for different streaming protocols, on the other side it offers
+an API for clients to use those plugins.
+
+Build Requirements: libnice, gst-python
+Runtime Requirements: gst-plugins-good, gst-plugins-bad
diff --git a/multimedia/farsight2/farsight2.SlackBuild b/multimedia/farsight2/farsight2.SlackBuild
new file mode 100644
index 0000000000..948a567488
--- /dev/null
+++ b/multimedia/farsight2/farsight2.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for farsight2
+
+# Copyright 2009 David Woodfall <dave@unrealize.co.uk>
+# All rights reserved.
+#
+# aka dive in #slackware on freenode.net
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. FURTHERMORE I AM NOT LIABLE IF
+# YOUR DATA IS DESTROYED, YOUR HOUSE BURNS DOWN OR YOUR DOG RUNS OFF.
+
+
+PRGNAM=farsight2
+VERSION=${VERSION:-0.0.17}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+
+( cd $PKG
+ # Remove 'special' files
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
+
diff --git a/multimedia/farsight2/farsight2.info b/multimedia/farsight2/farsight2.info
new file mode 100644
index 0000000000..dce8104f26
--- /dev/null
+++ b/multimedia/farsight2/farsight2.info
@@ -0,0 +1,11 @@
+PRGNAM="farsight2"
+VERSION="0.0.17"
+HOMEPAGE="http://farsight.freedesktop.org/wiki/"
+DOWNLOAD="http://farsight.freedesktop.org/releases/farsight2/farsight2-0.0.17.tar.gz"
+MD5SUM="b109d133d39dd682a224a47e31c5eac7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="info@davidwoodfall.co.uk"
+APPROVED="dsomero"
+
diff --git a/multimedia/farsight2/slack-desc b/multimedia/farsight2/slack-desc
new file mode 100644
index 0000000000..c87afcab5e
--- /dev/null
+++ b/multimedia/farsight2/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+farsight2: Farsight (Audio/Video Communications Framework)
+farsight2:
+farsight2: The Farsight project is an effort to create a framework to deal
+farsight2: with all known audio/video conferencing protocols. On one side
+farsight2: it offers a generic API that makes it possible to write plugins
+farsight2: for different streaming protocols, on the other side it offers
+farsight2: an API for clients to use those plugins.
+farsight2:
+farsight2: Homepage: http://farsight.freedesktop.org/wiki/
+farsight2:
+farsight2:
+